<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::ListType Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_list_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpcgen_1_1_list_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::ListType Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Variable length list of another data type.  
 <a href="classerpcgen_1_1_list_type.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_list_type_8h_source.html">ListType.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for erpcgen::ListType:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1_list_type.png" usemap="#erpcgen::ListType_map" alt=""/>
  <map id="erpcgen::ListType_map" name="erpcgen::ListType_map">
<area href="classerpcgen_1_1_data_type.html" title="Base class for data types. " alt="erpcgen::DataType" shape="rect" coords="0,56,119,80"/>
<area href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. " alt="erpcgen::Symbol" shape="rect" coords="0,0,119,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae0c134bbafa69e4f15df22ae2033d0d5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#ae0c134bbafa69e4f15df22ae2033d0d5">ListType</a> (<a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *elementType)</td></tr>
<tr class="memdesc:ae0c134bbafa69e4f15df22ae2033d0d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ae0c134bbafa69e4f15df22ae2033d0d5">More...</a><br /></td></tr>
<tr class="separator:ae0c134bbafa69e4f15df22ae2033d0d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a6243a52627f44bc40761b794c3d17b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#a4a6243a52627f44bc40761b794c3d17b">getElementType</a> () const </td></tr>
<tr class="memdesc:a4a6243a52627f44bc40761b794c3d17b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns element data type.  <a href="#a4a6243a52627f44bc40761b794c3d17b">More...</a><br /></td></tr>
<tr class="separator:a4a6243a52627f44bc40761b794c3d17b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad19321980d03fc291b678c6709da6058"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#ad19321980d03fc291b678c6709da6058">setElementType</a> (<a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *elementType)</td></tr>
<tr class="memdesc:ad19321980d03fc291b678c6709da6058"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set element data type.  <a href="#ad19321980d03fc291b678c6709da6058">More...</a><br /></td></tr>
<tr class="separator:ad19321980d03fc291b678c6709da6058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5696523884fcc96932086e5b9a37cc0"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#af5696523884fcc96932086e5b9a37cc0">isList</a> () const </td></tr>
<tr class="memdesc:af5696523884fcc96932086e5b9a37cc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "true" value for identify list type.  <a href="#af5696523884fcc96932086e5b9a37cc0">More...</a><br /></td></tr>
<tr class="separator:af5696523884fcc96932086e5b9a37cc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd69b19dae89b94123a97cbfad33ba0c"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c">getDescription</a> () const </td></tr>
<tr class="memdesc:acd69b19dae89b94123a97cbfad33ba0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about the list.  <a href="#acd69b19dae89b94123a97cbfad33ba0c">More...</a><br /></td></tr>
<tr class="separator:acd69b19dae89b94123a97cbfad33ba0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26f005eb625775e8c7813ea33acc593e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#a26f005eb625775e8c7813ea33acc593e">setLengthVariableName</a> (const std::string &amp;lengthVariableName)</td></tr>
<tr class="memdesc:a26f005eb625775e8c7813ea33acc593e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set variable name. This variable is used in generated file to store size of list.  <a href="#a26f005eb625775e8c7813ea33acc593e">More...</a><br /></td></tr>
<tr class="separator:a26f005eb625775e8c7813ea33acc593e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9df9fe871c9013f7a22d785f428f5a"><td class="memItemLeft" align="right" valign="top">std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#aec9df9fe871c9013f7a22d785f428f5a">getLengthVariableName</a> ()</td></tr>
<tr class="memdesc:aec9df9fe871c9013f7a22d785f428f5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns variable name. This variable is used in generated file to store size of list.  <a href="#aec9df9fe871c9013f7a22d785f428f5a">More...</a><br /></td></tr>
<tr class="separator:aec9df9fe871c9013f7a22d785f428f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9fca1bf6527da9a97f410eb3d96ce0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#a1f9fca1bf6527da9a97f410eb3d96ce0">hasLengthVariable</a> ()</td></tr>
<tr class="memdesc:a1f9fca1bf6527da9a97f410eb3d96ce0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns information if object contains length variable.  <a href="#a1f9fca1bf6527da9a97f410eb3d96ce0">More...</a><br /></td></tr>
<tr class="separator:a1f9fca1bf6527da9a97f410eb3d96ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9d4746d1a76e940c16217fe6ccb02e7e">DataType</a> (<a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType)</td></tr>
<tr class="memdesc:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9d4746d1a76e940c16217fe6ccb02e7e">More...</a><br /></td></tr>
<tr class="separator:a9d4746d1a76e940c16217fe6ccb02e7e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ab15c1464b00f40e42b81a1bc4369d3e8">DataType</a> (const std::string &amp;name, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType)</td></tr>
<tr class="memdesc:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab15c1464b00f40e42b81a1bc4369d3e8">More...</a><br /></td></tr>
<tr class="separator:ab15c1464b00f40e42b81a1bc4369d3e8 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a7ca5a9bd08f03f89a63a56027bb047ab">DataType</a> (const std::string &amp;name, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType, <a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symbolType)</td></tr>
<tr class="memdesc:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7ca5a9bd08f03f89a63a56027bb047ab">More...</a><br /></td></tr>
<tr class="separator:a7ca5a9bd08f03f89a63a56027bb047ab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a0141daa9d2ac3dfc7e0331e44fd293f4">DataType</a> (const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok, <a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> dataType, <a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symbolType)</td></tr>
<tr class="memdesc:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0141daa9d2ac3dfc7e0331e44fd293f4">More...</a><br /></td></tr>
<tr class="separator:a0141daa9d2ac3dfc7e0331e44fd293f4 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a419dd8a1abb25920c2cfccacb9f77f8e">getDataType</a> () const </td></tr>
<tr class="memdesc:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns data type.  <a href="#a419dd8a1abb25920c2cfccacb9f77f8e">More...</a><br /></td></tr>
<tr class="separator:a419dd8a1abb25920c2cfccacb9f77f8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a5a996dbde6578d38f035695c6a567bab">getTrueDataType</a> ()</td></tr>
<tr class="memdesc:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to true data type instead of alias.  <a href="#a5a996dbde6578d38f035695c6a567bab">More...</a><br /></td></tr>
<tr class="separator:a5a996dbde6578d38f035695c6a567bab inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a3f310d7f1d272a9389ad285ba920134a">getTrueContainerDataType</a> ()</td></tr>
<tr class="memdesc:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns pointer to true data type (enum, builtin, structs) except lists and arrays.  <a href="#a3f310d7f1d272a9389ad285ba920134a">More...</a><br /></td></tr>
<tr class="separator:a3f310d7f1d272a9389ad285ba920134a inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9431e09a25ce91aaa8e8301ced975d92">isBuiltin</a> () const </td></tr>
<tr class="memdesc:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify string type.  <a href="#a9431e09a25ce91aaa8e8301ced975d92">More...</a><br /></td></tr>
<tr class="separator:a9431e09a25ce91aaa8e8301ced975d92 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ab5c453e35889dd4d64ed621a9470b806">isString</a> () const </td></tr>
<tr class="memdesc:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify string type.  <a href="#ab5c453e35889dd4d64ed621a9470b806">More...</a><br /></td></tr>
<tr class="separator:ab5c453e35889dd4d64ed621a9470b806 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a1be5c32e9ccf8d694c0fd10f15e04e6e">isBinary</a> () const </td></tr>
<tr class="memdesc:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify binary type.  <a href="#a1be5c32e9ccf8d694c0fd10f15e04e6e">More...</a><br /></td></tr>
<tr class="separator:a1be5c32e9ccf8d694c0fd10f15e04e6e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9c4c85f49b5d199ae23326daf228e1d2">isArray</a> () const </td></tr>
<tr class="memdesc:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify array type.  <a href="#a9c4c85f49b5d199ae23326daf228e1d2">More...</a><br /></td></tr>
<tr class="separator:a9c4c85f49b5d199ae23326daf228e1d2 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a9fc5f7de98a3c8f1067b832ec4723494">isStruct</a> () const </td></tr>
<tr class="memdesc:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify struct type.  <a href="#a9fc5f7de98a3c8f1067b832ec4723494">More...</a><br /></td></tr>
<tr class="separator:a9fc5f7de98a3c8f1067b832ec4723494 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ac9a2e6e456ae83bcca8a9f0946a5d317">isEnum</a> () const </td></tr>
<tr class="memdesc:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify enum type.  <a href="#ac9a2e6e456ae83bcca8a9f0946a5d317">More...</a><br /></td></tr>
<tr class="separator:ac9a2e6e456ae83bcca8a9f0946a5d317 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a19952c8dc8ef8c4c5041fcf3cd26ae8e">isVoid</a> () const </td></tr>
<tr class="memdesc:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify void type.  <a href="#a19952c8dc8ef8c4c5041fcf3cd26ae8e">More...</a><br /></td></tr>
<tr class="separator:a19952c8dc8ef8c4c5041fcf3cd26ae8e inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a68c92086e4cfadcf8a8fd5063fed070d">isAlias</a> () const </td></tr>
<tr class="memdesc:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify alias type.  <a href="#a68c92086e4cfadcf8a8fd5063fed070d">More...</a><br /></td></tr>
<tr class="separator:a68c92086e4cfadcf8a8fd5063fed070d inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b57925fbf7b0a69aee8f11add91745 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#ac5b57925fbf7b0a69aee8f11add91745">isUnion</a> () const </td></tr>
<tr class="memdesc:ac5b57925fbf7b0a69aee8f11add91745 inherit pub_methods_classerpcgen_1_1_data_type"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify union type.  <a href="#ac5b57925fbf7b0a69aee8f11add91745">More...</a><br /></td></tr>
<tr class="separator:ac5b57925fbf7b0a69aee8f11add91745 inherit pub_methods_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType)</td></tr>
<tr class="memdesc:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7d6a966d4c2d00f4e7e40c30796be532">More...</a><br /></td></tr>
<tr class="separator:a7d6a966d4c2d00f4e7e40c30796be532 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const std::string &amp;name)</td></tr>
<tr class="memdesc:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac969b4105dddf248d163cdb10385efe1">More...</a><br /></td></tr>
<tr class="separator:ac969b4105dddf248d163cdb10385efe1 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok)</td></tr>
<tr class="memdesc:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3274ccd412cc221e15976cc93c71b95d">More...</a><br /></td></tr>
<tr class="separator:a3274ccd412cc221e15976cc93c71b95d inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a32f65a99da47b8a281926bc3770880"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a> ()</td></tr>
<tr class="memdesc:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a9a32f65a99da47b8a281926bc3770880 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a> () const </td></tr>
<tr class="memdesc:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol type.  <a href="#acc2311d1d0acf78dc31a86c7959ce34e">More...</a><br /></td></tr>
<tr class="separator:acc2311d1d0acf78dc31a86c7959ce34e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a> () const </td></tr>
<tr class="memdesc:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol name.  <a href="#a84c290b9cf7672b0f94aea9ff27acf1f">More...</a><br /></td></tr>
<tr class="separator:a84c290b9cf7672b0f94aea9ff27acf1f inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a> (const std::string &amp;newName)</td></tr>
<tr class="memdesc:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set symbol name.  <a href="#af3a2dbfad1b23fbdfa3ef6e3812ad357">More...</a><br /></td></tr>
<tr class="separator:af3a2dbfad1b23fbdfa3ef6e3812ad357 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a> ()</td></tr>
<tr class="memdesc:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns location for symbol.  <a href="#a44f21abf207fcdda09415d1eaa32f348">More...</a><br /></td></tr>
<tr class="separator:a44f21abf207fcdda09415d1eaa32f348 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;loc)</td></tr>
<tr class="memdesc:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set location for symbol.  <a href="#a3b4712d9a59eee5c377b235d995ec776">More...</a><br /></td></tr>
<tr class="separator:a3b4712d9a59eee5c377b235d995ec776 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a> () const </td></tr>
<tr class="memdesc:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return first line from location of symbol.  <a href="#a927c69a16cbb47ca6c8d5b4f8a213887">More...</a><br /></td></tr>
<tr class="separator:a927c69a16cbb47ca6c8d5b4f8a213887 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a> () const </td></tr>
<tr class="memdesc:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return last line from location of symbol.  <a href="#a00bb74bbfea291f784e65484bf54664b">More...</a><br /></td></tr>
<tr class="separator:a00bb74bbfea291f784e65484bf54664b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a> (const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;a)</td></tr>
<tr class="memdesc:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function add annotation to vector of symbol annotations.  <a href="#a828866509c0ee041aaf7e31ab18cf2da">More...</a><br /></td></tr>
<tr class="separator:a828866509c0ee041aaf7e31ab18cf2da inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a> ()</td></tr>
<tr class="memdesc:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about annotation.  <a href="#aa3f9fe166df63e096228de582e87248b">More...</a><br /></td></tr>
<tr class="separator:aa3f9fe166df63e096228de582e87248b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a> (std::string name)</td></tr>
<tr class="memdesc:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotation in the annotation list.  <a href="#a674a1dff60207fa512a2a2b7b7146c3b">More...</a><br /></td></tr>
<tr class="separator:a674a1dff60207fa512a2a2b7b7146c3b inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a> (std::string name)</td></tr>
<tr class="memdesc:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotations matching name in the annotation list.  <a href="#a8ac0fa46b91ae20ff49c62cfab29a810">More...</a><br /></td></tr>
<tr class="separator:a8ac0fa46b91ae20ff49c62cfab29a810 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a> ()</td></tr>
<tr class="memdesc:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns multiline comment for this symbol declared in IDL file.  <a href="#a85fc3b86b1d1935f3017f8d5db3a2111">More...</a><br /></td></tr>
<tr class="separator:a85fc3b86b1d1935f3017f8d5db3a2111 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set multiline comment for this symbol declared in IDL file.  <a href="#adfff1c0850b243effae7c8c9911f2f53">More...</a><br /></td></tr>
<tr class="separator:adfff1c0850b243effae7c8c9911f2f53 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a> ()</td></tr>
<tr class="memdesc:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns inline comment for this symbol declared in IDL file.  <a href="#acec60e332ab5bf223e8c5d92f9a732f0">More...</a><br /></td></tr>
<tr class="separator:acec60e332ab5bf223e8c5d92f9a732f0 inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set inline comment for this symbol declared in IDL file.  <a href="#a9cf5481c123404b46a6574135ff6631e">More...</a><br /></td></tr>
<tr class="separator:a9cf5481c123404b46a6574135ff6631e inherit pub_methods_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a999c390c1e92a46ac3bf9f468bff67e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#a999c390c1e92a46ac3bf9f468bff67e3">m_elementType</a></td></tr>
<tr class="separator:a999c390c1e92a46ac3bf9f468bff67e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2371480b2870eaf18c7f52d581a42cb8"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_list_type.html#a2371480b2870eaf18c7f52d581a42cb8">m_lengthVariableName</a></td></tr>
<tr class="separator:a2371480b2870eaf18c7f52d581a42cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a49a55bec8ce5196abe868e7209347fbe inherit pro_attribs_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a49a55bec8ce5196abe868e7209347fbe">m_dataType</a></td></tr>
<tr class="separator:a49a55bec8ce5196abe868e7209347fbe inherit pro_attribs_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td></tr>
<tr class="separator:aeeb41dba8237bddee39709f3d3ccd0ba inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td></tr>
<tr class="separator:a44f5d0a78d9057c134a9eba696153cda inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td></tr>
<tr class="separator:aa7a023da7b592e5a249229fb48991b8d inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td></tr>
<tr class="separator:a838f7ea24ae2e3ce3b433e7cf9e412ef inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td></tr>
<tr class="separator:aade834e1514a288e91507301a19001c3 inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td></tr>
<tr class="separator:a7b5379e1abc8720a74777fcc324d50cd inherit pro_attribs_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classerpcgen_1_1_data_type"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classerpcgen_1_1_data_type')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td></tr>
<tr class="memitem:a7b5230551817ee50d98d111d06212068 inherit pub_types_classerpcgen_1_1_data_type"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b5230551817ee50d98d111d06212068"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> { <br />
&#160;&#160;<b>kBuiltinType</b>, 
<br />
&#160;&#160;<b>kListType</b>, 
<br />
&#160;&#160;<b>kArrayType</b>, 
<br />
&#160;&#160;<b>kEnumType</b>, 
<br />
&#160;&#160;<b>kStructType</b>, 
<br />
&#160;&#160;<b>kAliasType</b>, 
<br />
&#160;&#160;<b>kUnionType</b>, 
<br />
&#160;&#160;<b>kVoidType</b>
<br />
 }<tr class="memdesc:a7b5230551817ee50d98d111d06212068"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported data types. <br /></td></tr>
</td></tr>
<tr class="separator:a7b5230551817ee50d98d111d06212068 inherit pub_types_classerpcgen_1_1_data_type"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classerpcgen_1_1_symbol"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classerpcgen_1_1_symbol')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td></tr>
<tr class="memitem:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41dbbe424222a8e9b4b73c390cf06775"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> { <br />
&#160;&#160;<b>kProgramSymbol</b>, 
<br />
&#160;&#160;<b>kTypenameSymbol</b>, 
<br />
&#160;&#160;<b>kEnumMemberSymbol</b>, 
<br />
&#160;&#160;<b>kStructMemberSymbol</b>, 
<br />
&#160;&#160;<b>kConstSymbol</b>, 
<br />
&#160;&#160;<b>kInterfaceSymbol</b>, 
<br />
&#160;&#160;<b>kFunctionSymbol</b>, 
<br />
&#160;&#160;<b>kBuiltinTypeSymbol</b>, 
<br />
&#160;&#160;<b>kListTypeSymbol</b>, 
<br />
&#160;&#160;<b>kArrayTypeSymbol</b>, 
<br />
&#160;&#160;<b>kEnumTypeSymbol</b>, 
<br />
&#160;&#160;<b>kStructTypeSymbol</b>, 
<br />
&#160;&#160;<b>kAliasTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionCaseTypeSymbol</b>
<br />
 }<tr class="memdesc:a41dbbe424222a8e9b4b73c390cf06775"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported symbol types. <br /></td></tr>
</td></tr>
<tr class="separator:a41dbbe424222a8e9b4b73c390cf06775 inherit pub_types_classerpcgen_1_1_symbol"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Variable length list of another data type. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae0c134bbafa69e4f15df22ae2033d0d5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::ListType::ListType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td>
          <td class="paramname"><em>elementType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set element type to given data type.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">elementType</td><td>Given data type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="acd69b19dae89b94123a97cbfad33ba0c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string ListType::getDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns description about the list. </p>
<dl class="section return"><dt>Returns</dt><dd>String description about list.</dd></dl>
<dl class="section see"><dt>See also</dt><dd>std::string <a class="el" href="classerpcgen_1_1_alias_type.html#a1dcefef6c4e73b429ebfddc13d056d9c" title="This function returns description about the alias. ">AliasType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_enum_type.html#a7b1138290c55479bfd939a61eaceb392" title="This function returns description about the enum. ">EnumType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_enum_member.html#a72f031925bbc83f049e07fd04bd16abe" title="This function returns description about the enum member. ">EnumMember::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_struct_member.html#a839ee493aa6fafaac3dda9ec292ed1dd" title="This function returns description about the struct member. ">StructMember::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_struct_type.html#a78421cc24d8632d9eb95b76e2e68dbbe" title="This function returns description about the struct. ">StructType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_void_type.html#a329b76a4ef8e30637e7607883772b0e3" title="This function returns description about the void. ">VoidType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_array_type.html#a1c5a4e6413834ed1d286ae56d4566f85" title="This function returns description about the array. ">ArrayType::getDescription() const</a> </dd>
<dd>
std::string <a class="el" href="classerpcgen_1_1_union_type.html#ae8ca991afd47858d15e1cea0a37f27b5" title="This function returns description about the union. ">UnionType::getDescription() const</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classerpcgen_1_1_symbol.html#a84732dc398fd0cbf64d53d45db1cc8c5">erpcgen::Symbol</a>.</p>

</div>
</div>
<a class="anchor" id="a4a6243a52627f44bc40761b794c3d17b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a>* erpcgen::ListType::getElementType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns element data type. </p>
<dl class="section return"><dt>Returns</dt><dd>Element data type. </dd></dl>

</div>
</div>
<a class="anchor" id="aec9df9fe871c9013f7a22d785f428f5a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string&amp; erpcgen::ListType::getLengthVariableName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns variable name. This variable is used in generated file to store size of list. </p>
<dl class="section return"><dt>Returns</dt><dd>Return name for variable. </dd></dl>

</div>
</div>
<a class="anchor" id="a1f9fca1bf6527da9a97f410eb3d96ce0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool erpcgen::ListType::hasLengthVariable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns information if object contains length variable. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>When list contains length variable. </td></tr>
    <tr><td class="paramname">false</td><td>When list doesn't contain length variable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af5696523884fcc96932086e5b9a37cc0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool erpcgen::ListType::isList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function return "true" value for identify list type. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>Always return true. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classerpcgen_1_1_data_type.html#a6b8242766c0018450af0e4da4954139c">erpcgen::DataType</a>.</p>

</div>
</div>
<a class="anchor" id="ad19321980d03fc291b678c6709da6058"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::ListType::setElementType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a> *&#160;</td>
          <td class="paramname"><em>elementType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set element data type. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">elementType</td><td>Element data type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a26f005eb625775e8c7813ea33acc593e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::ListType::setLengthVariableName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>lengthVariableName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set variable name. This variable is used in generated file to store size of list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">lengthVariableName</td><td>Given name for variable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a999c390c1e92a46ac3bf9f468bff67e3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_data_type.html">DataType</a>* erpcgen::ListType::m_elementType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>List element data type. </p>

</div>
</div>
<a class="anchor" id="a2371480b2870eaf18c7f52d581a42cb8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::ListType::m_lengthVariableName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>List length variable name. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_list_type_8h_source.html">ListType.h</a></li>
<li>Type.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
